com.google.gwt.view.client

## Interface HasCellPreviewHandlers<T>

Type Parameters:
  `T` - the data type of the values in the widget

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasData<T>

All Known Implementing Classes:
  AbstractCellTable, AbstractHasData, CellBrowser.BrowserCellList, CellList, CellTable, CellTreeNodeView.NodeCellList, DataGrid, HasDataPresenter

    public interface HasCellPreviewHandlers<T>
    extends HasHandlers

A widget that implements this interface is a public source of `CellPreviewEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addCellPreviewHandler(CellPreviewEvent.Handler<T> handler)` Adds a `CellPreviewEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addCellPreviewHandler

    HandlerRegistration addCellPreviewHandler(CellPreviewEvent.Handler<T> handler)

Adds a `CellPreviewEvent` handler.

Parameters:
  `handler` - the handler
Returns:
  the registration for the event